.paragraph--type-split-viewer {
  @include default-margins;
  @include max-width;
  > .field--name-field-title {
    @include pane-title;
    & + .field--name-field-subtitle {
      margin-top: 0;
    }
  }
  > .field--name-field-subtitle {
    @include pane-subtitle;
  }
  & > .field--name-field-items {
    @include breakpoint($size-medium) {
      margin: 2em 0;
    }
  }
  
  // Alternate.
  &.paragraph--items-bundle--alternate-image-item {
    .paragraph--type--alternate-image-item {
      @include breakpoint($size-medium) {
        display: flex;
      }
      & > div {
        @include breakpoint($size-medium) {
          width: 50%;
        }
      }
      .field--name-field-image {
        overflow: hidden;
        position: relative;
      }
      .group-content {
        padding: 2em 1em;
        line-height: 1.3;
        @include breakpoint($size-medium) {
          align-items: center;
          display: flex;
          flex-direction: column;
          justify-content: center;
        }
      }
      .field--name-field-title {
        color: $color-blue;
        // font-family: $font-serif;
        font-size: $font-large;
        font-weight: 600;
        @include breakpoint($size-medium) {
          font-size: $font-xlarge;
        }
      }
      .field--name-field-subtitle {
        color: $color-red;
        font-size: $font-medium;
        @include breakpoint($size-medium) {
          font-size: $font-discrete;
        }
      }
      .field--name-field-link a {
        @include button;
        margin-top: 1em;
        text-transform: none;
        font-size: $font-small;
      }
      
      .group-content {
        background: url('../images/background/pattern/triangle-top.png') repeat no-repeat 0 top $color-grey-xxlight;
      }
      .field-name-field-image::after {
        background: url('../images/background/pattern/triangle-small-01.svg') repeat no-repeat center bottom;
      }
    }
    .field__items > .field__item {
      &.even .paragraph--type--alternate-image-item {
        flex-direction: row-reverse;
      }
      &:first-child .paragraph--type--alternate-image-item {
        .group-content {
          @include breakpoint($size-medium) {
            background: url('../images/background/pattern/triangle-bottom.png') repeat no-repeat 0 top;
          }
        }
        .field-name-field-image::after {
          background: url('../images/background/pattern/triangle-small-02.svg') repeat no-repeat center bottom;
        }
      }
      &:last-child .paragraph--type--alternate-image-item {
        .group-content {
          background: url('../images/background/pattern/triangle-top.png') repeat no-repeat 0 bottom;
          @include breakpoint(0 $size-medium) {
            padding-bottom: 5em;
          }
        }
        .field-name-field-image::after {
          background: url('../images/background/pattern/triangle-small-03.svg') repeat no-repeat center bottom;
        }
      }
    }
  }
  
  // Text overlay.
  &.paragraph--items-bundle--image-with-text-overlay-item {
    & > .field--name-field-items {
      @include breakpoint($size-medium) {
        display: flex;
      }
      & > .field__item {
        background-color: #ccc;
        flex: 1;
        margin-bottom: 1em;
        margin-top: 1em;
        @include breakpoint($size-medium) {
          margin: 0;
        }
        &:nth-child(even) {
          margin-left: 1px;
          .group-content::after {
            background: linear-gradient(rgba($color-pink-light, 0), $color-pink);
          }
        }
      }
    }
  }
  .paragraph--type--image-with-text-overlay-item {
    display: flex;
    height: 100%;
    min-height: 400px;
    position: relative;
    text-align: center;
    .group-content {
      box-sizing: border-box;
      color: $color-white;
      margin-top: auto;
      padding: 2em;
      width: 100%;
      z-index: 1;
      &::after {
        background: linear-gradient(rgba($color-purple-light, 0), $color-purple);
        bottom: 0;
        content: '';
        display: block;
        position: absolute;
        left: 0;
        right: 0;
        top: 25%;
        z-index: -1;
      }
      .field--name-field-image img {
        bottom: 0;
        height: 100%;
        left: 0;
        object-fit: cover;
        position: absolute;
        right: 0;
        top: 0;
        width: 100%;
        z-index: -1;
      }
      .field--name-field-title {
        color: $color-white;
        font-family: $font-primary;
        font-size: $font-discrete;
        line-height: 1.2;
        margin-bottom: .25em;
        @include breakpoint($size-normal) {
          font-size: $font-xlarge;
        }
      }
      .field--name-field-subtitle {
        font-size: $font-small;
        line-height: 1.3;
      }
    }
  }
}
